<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li><a href="<?= $this->url('group-indicator') ?>"><?= $this->translate('group-indicator_module_title') ?></a></li>
    <li class="active"><?= $this->translate('group-indicator_nav_list') ?></li>
</ul>

<h1 class="page-title">
    <?= $this->icon('group-indicator') ?> <?= $this->translate('group-indicator_module_title') ?>
</h1>

<div class="row row-padding">
    <div class="col-xs-12">
        <div class="panel" ng-controller="groupIndicatorListController as self" ng-init="__filters = {};">
        <table-builder options="self.options" items="self.groupindicators" class="table-builder">
                <div class="panel-heading">
                    <?= $this->translate('group-indicator_nav_list') ?>
                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_remove_from_list') ?>">
                            <?= $this->icon('eraser', 'fa-fw pointer', ['ng-click' => '__tb.removeFromList()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
                            <?= $this->icon('excel', 'fa-fw pointer', ['ng-click' => '__tb.exportExcel()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_refresh') ?>">
                            <?= $this->icon('refresh', 'fa-fw pointer', ['ng-click' => '__tb.loadData()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-4">
                            <div class="table-filters little-panel">
                                <div class="title table-filters-header">
                                    <div class="input-group">
                                        <div class="input-group-addon pointer" data-toggle="collapse" href="#filters-collapsed">
                                           <?= $this->icon('filters', 'fa fa-caret-down') ?>
                                        </div>
                                        <input type="text" placeholder="<?= $this->translate('search', null, null, false) ?>" class="form-control"
                                               ng-model="self.fullText" id="full-text" on-enter="self.fullTextSearch()"/>
                                        <div class="input-group-addon pointer" ng-click="self.fullTextSearch()">
                                            <?= $this->icon('search', 'fa-fw') ?>
                                        </div>
                                    </div>
                                </div>
                                <div id="filters-collapsed" class="body collapse">
                                    <?= $this->tableFilter('__tb.apiParams.search.data.filters', $this->groupIndicatorFilters()); ?>
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()"><?= $this->translate('table_filter_reset_button') ?></button>
                                        </div>
                                        <div class="col-xs-6 text-right">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
                                                <?= $this->icon('search', 'fa-fw') ?>
                                                <?= $this->translate('table_filter_button') ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <table-builder-columns></table-builder-columns>
                        </div>
                        <div class="col-sm-4">
                            <table-builder-queries></table-builder-queries>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <form name="groupindicatorForm">
                                <table table-builder-table class="table table-bordered table-condensed table-hover">
                                    <thead>
                                        <tr>
                                            <th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection"/></th>
                                            <th tb-column tb-name="id"    tb-sortable="true" tb-toggle="true" tb-hidden="true"><?= $this->translate('group-indicator_field_id') ?></th>
                                            <th tb-column tb-name="name"    tb-sortable="true" tb-toggle="true"><?= $this->translate('group-indicator_field_name') ?></th>
                                            <th tb-column tb-name="indicators"  tb-toggle="true"><?= $this->translate('group-indicator_field_indicators') ?></th>
                                            <th tb-column tb-name="createdAt"  tb-sortable="true" tb-toggle="true" tb-hidden="true"><?= $this->translate('group-indicator_field_createdAt') ?></th>
                                            <th tb-column tb-name="updatedAt"  tb-sortable="true" tb-toggle="true" tb-hidden="true"><?= $this->translate('group-indicator_field_updatedAt') ?></th>
                                            <th tb-column tb-name="actions" class="actions-column"></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr ng-repeat="groupindicator in self.groupindicators" ng-class="{editing: self.editedLine == groupindicator}">
                                            <td><input type="checkbox" ng-model="groupindicator.selected"/></td>
                                            <td>{{groupindicator.id}}</td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== groupindicator">
                                                    <a ng-if="groupindicator._rights.read" href="<?= $this->url('group-indicator/form') ?>/{{groupindicator.id}}">{{groupindicator.name}}</a>
                                                    <span ng-if="!groupindicator._rights.read">{{groupindicator.name}}</span>

                                                    <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(groupindicator)', 'ng-if' => 'groupindicator._rights.update']) ?>
                                                </span>
                                                <span ng-if="self.editedLine == groupindicator">
                                                    <input type="text" class="form-control input-sm" ng-model="self.editedLineFields.name" required />
                                                    <field-errors field="name" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td>
                                                <span class="comma-separated">
                                                    <span ng-repeat="indicator in groupindicator.indicators">
                                                    <a ng-if="groupindicator._rights.read" href="<?= $this->url('indicator/form') ?>/{{indicator.id}}">{{indicator.name}}</a>
                                                    <span ng-if="!groupindicator._rights.read">{{indicator.name}}</span>    
                                                    </span>
                                                </span>
                                            </td>
                                            <td>{{groupindicator.createdAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                            <td>{{groupindicator.updatedAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                            <td>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine !== groupindicator">
                                                    
                                                    <?php if ($this->acl()->isAllowed('indicator:e:group-indicator:r')) : ?>
                                                        <a ng-if="groupindicator._rights.read" href="<?= $this->url('group-indicator/form') ?>/{{groupindicator.id}}" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_edit') ?>">
                                                            <?= $this->icon('edit') ?>
                                                        </a>
                                                    <?php endif; ?>

                                                    <?php if ($this->acl()->isAllowed('indicator:e:group-indicator:d')) : ?>
                                                        <a ng-if="groupindicator._rights.delete" href="" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_delete') ?>" ng-click="self.deleteIndicator(indicator);">
                                                            <?= $this->icon('delete') ?>
                                                        </a>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine == groupindicator">
                                                    <button class="btn btn-xs btn-default" ng-click="self.saveEditedLine(groupindicator)" type="submit" tooltip="<?= $this->translate('tooltip_save') ?>">
                                                        <?= $this->icon('save') ?>
                                                    </button>
                                                    <button class="btn btn-xs btn-default" ng-click="self.editedLine = null" type="button" tooltip="<?= $this->translate('tooltip_cancel') ?>">
                                                        <?= $this->icon('close') ?>
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </table-builder>
        </div>
    </div>
</div>

<?php
    $fabLinks = [];

    if ($this->acl()->isAllowed('indicator:e:group-indicator:c')) {
        $fabLinks[] = [
            'href' => $this->url('group-indicator/form'),
            'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('group-indicator_nav_form')
        ];
    }

    echo $this->fabMenu($fabLinks);
?>

<?php
    
    $this->angular('js/src/indicator/service/groupindicator.js');
    $this->angular('js/src/application/query/service/query.js');

    $this->angular('js/src/indicator/controller/groupindicator/list.js');

    $this->angular('js/src/indicator/directive/indicatorSelect.js');
    $this->angular('js/src/indicator/service/indicator.js');
?>
